<%@ Page language="c#" Codebehind="showalbumlist.aspx.cs" AutoEventWireup="false" EnableViewState="false" Inherits="Discuz.ForumPage.showalbumlist" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Discuz.Common" %>
<%@ Import namespace="Discuz.Forum" %>
<%@ Import namespace="Discuz.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by Discuz!NT Template Engine at 2007-11-15 11:16:30.
		本页面代码由Discuz!NT模板引擎生成于 2007-11-15 11:16:30. 
	*/

	base.OnInit(e);

	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " " + config.Seotitle.ToString().Trim() + " - " + config.Albumname.ToString().Trim() + " - Powered by Discuz!NT</title>\r\n");
	templateBuilder.Append("<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" /> \r\n");
	templateBuilder.Append("<!-- 调用样式表 -->\r\n");
	templateBuilder.Append("<link rel=\"stylesheet\" href=\"templates/" + templatepath.ToString() + "/main.css\" type=\"text/css\" media=\"all\"  />\r\n");
	templateBuilder.Append("" + link.ToString() + "\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/report.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/menu.js\"></" + "script>\r\n");
	templateBuilder.Append("" + script.ToString() + "\r\n");
	templateBuilder.Append("</head>\r\n");
	templateBuilder.Append("<body>\r\n");
	templateBuilder.Append("<div id=\"container\">\r\n");
	templateBuilder.Append("<!--header start-->\r\n");
	templateBuilder.Append("<div id=\"header\">\r\n");
	templateBuilder.Append("	<h2><a href=\"" + forumurl.ToString() + "forumindex.aspx\" title=\"Discuz! Board NT|BBS|论坛 - Powered by Discuz!.\" id=\"NtForumLogo\"><img src=\"templates/" + templatepath.ToString() + "/images/logo.gif\" alt=\"logo\"/></a><span>Discuz! Board NT|BBS|论坛</span>\r\n");
	templateBuilder.Append("	</h2>\r\n");
	templateBuilder.Append("	<p id=\"topmenu\">\r\n");

	if (userid==-1)
	{

	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "login.aspx\" class=\"reg\">登录</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "register.aspx\" class=\"reg\">注册</a>\r\n");

	}
	else
	{

	templateBuilder.Append("			欢迎: " + username.ToString() + "\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "logout.aspx?userkey=" + userkey.ToString() + "\" class=\"reg\">退出</a>\r\n");
	templateBuilder.Append("			<a href=\"" + forumurl.ToString() + "usercp.aspx\" class=\"reg\">用户中心</a>\r\n");

	if (useradminid==1)
	{

	templateBuilder.Append("				<a href=\"" + forumurl.ToString() + "admin/index.aspx\" class=\"reg\" target=\"_blank\">系统设置</a>\r\n");

	}	//end if


	}	//end if


	if (config.Enablespace==1 || config.Enablealbum==1)
	{

	templateBuilder.Append("				<a href=\"" + forumurl.ToString() + "forumindex.aspx\">论坛</a>\r\n");

	}	//end if


	if (config.Enablespace==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Spaceurl.ToString().Trim() + "\">" + config.Spacename.ToString().Trim() + "</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("			<a href=\"" + config.Albumurl.ToString().Trim() + "\">" + config.Albumname.ToString().Trim() + "</a>\r\n");

	}	//end if


	if (usergroupinfo.Allowsearch>0)
	{

	templateBuilder.Append("			    <a href=\"" + forumurl.ToString() + "search.aspx\">搜索</a>\r\n");

	}	//end if

	templateBuilder.Append("		    <a href=\"" + forumurl.ToString() + "help.aspx\" target=\"_blank\">帮助</a>	\r\n");
	templateBuilder.Append("	</p>\r\n");

	if (headerad!="")
	{

	templateBuilder.Append("		<div id=\"ad\">" + headerad.ToString() + "</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"Wraper\">\r\n");



	if (page_err==0)
	{



	if (config.Enablealbum==1)
	{

	templateBuilder.Append("	<div id=\"ntforummenu\">\r\n");
	templateBuilder.Append("		<div class=\"ntmenubar\">\r\n");
	templateBuilder.Append("			<span style=\"float: left;\">\r\n");
	templateBuilder.Append("			<a href=\"showphotolist.aspx?type=2\">最新图片</a>\r\n");
	templateBuilder.Append("			<a href=\"showphotolist.aspx?type=1\">最多评论</a>\r\n");
	templateBuilder.Append("			<a href=\"showphotolist.aspx?type=3\" class=\"noborder\">最多收藏</a>\r\n");
	templateBuilder.Append("		</span>\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<span>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if

	templateBuilder.Append("				<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\" class=\"noborder\">我的相册</a>\r\n");
	templateBuilder.Append("			</span>\r\n");

	}	//end if

	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("	</div>\r\n");

	}	//end if



	templateBuilder.Append("	<div id=\"ntforumposition\">\r\n");
	templateBuilder.Append("		<div class=\"ntforumnote\">\r\n");

	if (currentcate!=0)
	{

	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\" id=\"NavHome\" onmouseover=\"showMenu(this.id);\" onmouseout=\"showMenu(this.id);\">" + config.Albumname.ToString().Trim() + "首页</a> > " + currentalbumcategory.Title.ToString().Trim() + "</h3>\r\n");

	}
	else if (albumsuserid!=0)
	{

	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\" id=\"NavHome\" onmouseover=\"showMenu(this.id);\" onmouseout=\"showMenu(this.id);\">" + config.Albumname.ToString().Trim() + "首页</a> > " + albumusername.ToString() + "</h3>\r\n");

	}
	else if (currentcate!=0 && albumsuserid!=0)
	{

	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\" id=\"NavHome\" onmouseover=\"showMenu(this.id);\" onmouseout=\"showMenu(this.id);\">" + config.Albumname.ToString().Trim() + "首页</a> > " + albumusername.ToString() + "的" + currentalbumcategory.Title.ToString().Trim() + "</h3>\r\n");

	}
	else
	{

	templateBuilder.Append("			<h3><a href=\"" + config.Albumurl.ToString().Trim() + "\" id=\"NavHome\" onmouseover=\"showMenu(this.id);\" onmouseout=\"showMenu(this.id);\">" + config.Albumname.ToString().Trim() + "首页</a> > 全部" + config.Albumname.ToString().Trim() + "</h3>\r\n");

	}	//end if

	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("		<div class=\"ntforumsearch\">\r\n");
	templateBuilder.Append("			<div id=\"search\">\r\n");

	templateBuilder.Append("			<form method=\"post\" action=\"search.aspx\" target=\"_blank\" onsubmit=\"bind_keyword(this);\">\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"poster\" />\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"keyword\" />\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"type\" value=\"\" />\r\n");
	templateBuilder.Append("			<input id=\"keywordtype\" type=\"hidden\" name=\"keywordtype\" value=\"0\"/>\r\n");
	templateBuilder.Append("			<div id=\"searchbar\">\r\n");
	templateBuilder.Append("				<dl>\r\n");
	templateBuilder.Append("					<dt id=\"quicksearch\" class=\"s2\" onclick=\"showMenu(this.id, false);\" onmouseover=\"MouseCursor(this);\">帖子标题</dt>\r\n");
	templateBuilder.Append("					<dd class=\"textinput\"><input type=\"text\" name=\"keywordf\" value=\"\" class=\"text\"/></dd>\r\n");
	templateBuilder.Append("					<dd><input name=\"searchsubmit\" type=\"submit\" value=\"\" class=\"s3\"/></dd>\r\n");
	templateBuilder.Append("				</dl>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("			</form>\r\n");
	templateBuilder.Append("			<script type=\"text/javascript\">function bind_keyword(form){if(form.keywordtype.value=='8'){form.keyword.value='';form.poster.value=form.keywordf.value; } else { form.poster.value=''; form.keyword.value=form.keywordf.value;if(form.keywordtype.value == '2')form.type.value = 'spacepost';if(form.keywordtype.value == '3')form.type.value = 'album';}}</" + "script>\r\n");


	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("	    </div>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	" + navhomemenu.ToString() + "\r\n");
	templateBuilder.Append("	<div id=\"ntforumbody\">\r\n");
	templateBuilder.Append("		<div class=\"modulebox\">\r\n");
	templateBuilder.Append("			<div class=\"forumtitle\">\r\n");
	templateBuilder.Append("				<h2>" + config.Albumname.ToString().Trim() + "</h2>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("			<div class=\"inforsort\">\r\n");

	int albumcategory__loop__id=0;
	foreach(AlbumCategoryInfo albumcategory in albumcategorylist)
	{
		albumcategory__loop__id++;

	templateBuilder.Append("				<a href=\"" + albumurl.ToString() + "showalbumlist.aspx?cate=" + albumcategory.Albumcateid.ToString().Trim() + "\">" + albumcategory.Title.ToString().Trim() + "</a>\r\n");

	if (albumcategory__loop__id!=albumcategorylist.Count)
	{

	templateBuilder.Append("					|\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("			</div>\r\n");

	if (albumlist.Count>0)
	{

	templateBuilder.Append("				<div class=\"ntforumpage\">\r\n");
	templateBuilder.Append("				" + prevpage.ToString() + "\r\n");
	templateBuilder.Append("				" + pagenumbers.ToString() + "\r\n");
	templateBuilder.Append("				" + nextpage.ToString() + "\r\n");
	templateBuilder.Append("				</div>\r\n");
	templateBuilder.Append("				<div class=\"Photo\">\r\n");
	templateBuilder.Append("					<ul>							\r\n");

	int album__loop__id=0;
	foreach(AlbumInfo album in albumlist)
	{
		album__loop__id++;

	templateBuilder.Append("						<li>								\r\n");

	if (album.Logo!="")
	{

	templateBuilder.Append("							<div class=\"PhotoPicture\">\r\n");
	templateBuilder.Append("								<a href=\"" + albumurl.ToString() + "showalbum.aspx?albumid=" + album.Albumid.ToString().Trim() + "\"><img src=\"" + album.Logo.ToString().Trim() + "\" alt=\"" + album.Title.ToString().Trim() + "\" style=\"max-height: 80px; max-width: 105px\" /></a>\r\n");
	templateBuilder.Append("							</div>\r\n");

	}
	else
	{

	templateBuilder.Append("							<div class=\"nopicture\">\r\n");
	templateBuilder.Append("								<a href=\"" + albumurl.ToString() + "showalbum.aspx?albumid=" + album.Albumid.ToString().Trim() + "\"><img src=\"templates/" + templatepath.ToString() + "/images/NoPhoto.jpg\" alt=\"" + album.Albumid.ToString().Trim() + "\" /></a>\r\n");
	templateBuilder.Append("							</div>\r\n");

	}	//end if

	templateBuilder.Append("							<h3><a href=\"" + albumurl.ToString() + "showalbumlist.aspx?uid=" + album.Userid.ToString().Trim() + "\">" + album.Username.ToString().Trim() + "</a>的相册</h3>\r\n");
	templateBuilder.Append("							<p><a href=\"" + albumurl.ToString() + "showalbum.aspx?albumid=" + album.Albumid.ToString().Trim() + "\">" + album.Title.ToString().Trim() + "</a> (" + album.Imgcount.ToString().Trim() + ")</p>\r\n");
	templateBuilder.Append("						</li>\r\n");

	}	//end loop

	templateBuilder.Append("					</ul>\r\n");
	templateBuilder.Append("				</div>\r\n");
	templateBuilder.Append("				<div class=\"ntforumpage\">\r\n");
	templateBuilder.Append("				" + prevpage.ToString() + "\r\n");
	templateBuilder.Append("				" + pagenumbers.ToString() + "\r\n");
	templateBuilder.Append("				" + nextpage.ToString() + "\r\n");
	templateBuilder.Append("				</div>\r\n");

	}
	else
	{


	templateBuilder.Append("<div class=\"forumtrue\">\r\n");
	templateBuilder.Append("			<div class=\"navforumtrue\">" + msgbox_text.ToString() + "\r\n");

	if (msgbox_url!="")
	{

	templateBuilder.Append("					<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<a href=\"" + msgbox_url.ToString() + "\">如果浏览器没有转向, 请点击这里.</a>\r\n");
	templateBuilder.Append("					</p>\r\n");

	}	//end if

	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>		\r\n");



	}	//end if

	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("	</div>\r\n");

	}
	else
	{


	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<h3>出现了" + page_err.ToString() + "个错误</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"forumerror\">\r\n");
	templateBuilder.Append("				" + msgbox_text.ToString() + "\r\n");
	templateBuilder.Append("				<p class=\"errorback\">\r\n");
	templateBuilder.Append("						<script type=\"text/javascript\">\r\n");
	templateBuilder.Append("							if(" + msgbox_showbacklink.ToString() + ")\r\n");
	templateBuilder.Append("							{\r\n");
	templateBuilder.Append("								document.write(\"<a href=\\\"" + msgbox_backlink.ToString() + "\\\">返回上一步</a> &nbsp; &nbsp;|&nbsp; &nbsp  \");\r\n");
	templateBuilder.Append("							}\r\n");
	templateBuilder.Append("						</" + "script>\r\n");
	templateBuilder.Append("						<a href=\"forumindex.aspx\">论坛首页</a>\r\n");

	if (usergroupid==7)
	{

	templateBuilder.Append("						 &nbsp; &nbsp|&nbsp; &nbsp; <a href=\"register.aspx\">注册</a>\r\n");

	}	//end if

	templateBuilder.Append("				</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");



	}	//end if


	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("		<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a> &nbsp;&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");
	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115</em> \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("			(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("			&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("			" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" border=\"0\" onclick=\"window.scrollTo(0,0)\"/></span>\r\n");

	if (config.Stylejump==1)
	{

	templateBuilder.Append("			<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("				<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("				" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("			</select>\r\n");

	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	Response.Write(templateBuilder.ToString());
}
</script>
